/*
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2005 satoshi akabane(akabane@logical-paradox.org)
 * $Id: DacProperty.java,v 1.2 2005/09/07 13:38:06 rampil Exp $
 */
package org.logical_paradox.vsan.dac;

import java.util.ResourceBundle;

/**
 * ディスクアレイコントローラーのプロパテイ
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.2 $
 */
public class DacProperty {
	/** リソース */
	public static ResourceBundle property;

	/**
	 * 指定されたキーに対応するリソース値を返す
	 * @param key キー
	 * @return リソース値
	 */
	public static final String getProperty(String key) {
		loadResource();
		try {
			return property.getString(key);
		} catch(Exception e) {
			return null;
		}
	}
	/**
	 * リソース(プロパティファイル)を読み込む
	 * 1回でも読んだら二度と読まない
	 */
	protected synchronized static void loadResource() {
		if(property == null) {
			property = ResourceBundle.getBundle(DacConstant.PROPERTY_PFX);
		}
	}
}
